Package org.apache.sling.resourceresolver.impl.providers

# Class ProviderContextImpl

java.lang.Object
org.apache.sling.resourceresolver.impl.providers.ProviderContextImpl

All Implemented Interfaces:
  `org.apache.sling.spi.resource.provider.ProviderContext`

public class ProviderContextImpl extends Object implements org.apache.sling.spi.resource.provider.ProviderContext
Provider context implementation

## Field Summary

### Fields inherited from interface org.apache.sling.spi.resource.provider.ProviderContext

`EXCLUDED_PATHS_CHANGED, OBSERVATION_LISTENER_CHANGED`

## Constructor Summary

Constructors
Constructor
Description
`ProviderContextImpl()`

## Method Summary

Modifier and Type
Method
Description
`org.apache.sling.api.resource.path.PathSet`
`getExcludedPaths()`
`org.apache.sling.spi.resource.provider.ObservationReporter`
`getObservationReporter()`
`void`
`update(org.apache.sling.spi.resource.provider.ObservationReporter observationReporter, org.apache.sling.api.resource.path.PathSet excludedPaths)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ProviderContextImpl

public ProviderContextImpl()

## Method Details

### update

public void update(org.apache.sling.spi.resource.provider.ObservationReporter observationReporter, org.apache.sling.api.resource.path.PathSet excludedPaths)

### getObservationReporter

public org.apache.sling.spi.resource.provider.ObservationReporter getObservationReporter()

Specified by:
  `getObservationReporter` in interface `org.apache.sling.spi.resource.provider.ProviderContext`

### getExcludedPaths

public org.apache.sling.api.resource.path.PathSet getExcludedPaths()

Specified by:
  `getExcludedPaths` in interface `org.apache.sling.spi.resource.provider.ProviderContext`